[Testing Update] 2018-01-03 - Kernels, Plasma, TLP, Calamares, Update-Notifier

update
testing

#1

Hi community,

we hope you all had a great start into 2018! We are happy to present the first testing update for 2018. Thx to your feedback we could fix some issue within tlp, updated Plasma to v5.11.5, worked on Calamares, updated most or our kernels, and fixed some regressions in update-notifier.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.90 [EOL]
  • linux41 4.1.48
  • linux44 4.4.109
  • linux49 4.9.74
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.11
  • linux415 4.15-rc6
  • linux-RT-LTS 4.9.68_rt60
  • linux-RT 4.11.12_rt16

Package Updates (Wed Jan 3 13:35:01 CET 2018)

  • testing community x86_64: 146 new and 137 removed package(s)
  • testing core x86_64: 15 new and 14 removed package(s)
  • testing extra x86_64: 157 new and 159 removed package(s)
  • testing multilib x86_64: 3 new and 4 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
     manjaro-browser-settings-native           20171230-1           20171231-1
              manjaro-bspwm-settings           20171223-1           20171231-1
              manjaro-gnome-settings           20171230-1           20171231-2
                                 tlp              1.0-1.4              1.0-1.5
                             tlp-rdw              1.0-1.4              1.0-1.5
                     update-notifier              0.6.5-1                0.7-1
               manjaro-architect-dev                    -  0.9.3.r9.g971a3e0-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
                      acpi_call-dkms             1.1.0-90             1.1.0-91
                    adapta-gtk-theme          3.92.2.57-1           3.93.0.1-1
                               arcus              3.1.0-1              3.0.3-2
                              argon2           20171227-2                    -
                              aspcud              1.9.4-2              1.9.4-3
                         bitcoin-cli             0.15.1-1             0.15.1-2
                      bitcoin-daemon             0.15.1-1             0.15.1-2
                          bitcoin-qt             0.15.1-1             0.15.1-2
                          bitcoin-tx             0.15.1-1             0.15.1-2
                                borg              1.1.3-1              1.1.4-1
                                 bti                034-1                034-2
                               cacti             1.1.28-1             1.1.29-1
                             caprine              2.7.1-1              2.9.0-1
                             cblrepo            0.24.0-44            0.24.0-45
                          clementine             1.3.1-10             1.3.1-11
                          clusterssh            4.10_02-1               4.13-1
                            collectd              5.8.0-1              5.8.0-2
                              consul              1.0.1-1              1.0.2-1
                          curaengine              3.1.0-1              3.1.0-2
                               cwiid      0.6.00+svn201-2                    -
                         deepin-dock              4.5.9-1            4.5.9.1-1
                 deepin-image-viewer           1.2.16.7-1           1.2.16.8-1
                        deepin-movie            1:3.2.0-1          1:3.2.0.1-1
                          displaycal            3.3.5.0-1            3.4.0.0-1
                            flashrom              0.9.9-2                1.0-1
                          freeradius             3.0.15-4             3.0.15-6
                    gimp-plugin-gmic              2.1.7-2              2.1.8-2
                           git-annex         6.20171214-9        6.20171214-10
                                gmic              2.1.7-2              2.1.8-2
                  haskell-cheapskate             0.1.1-18             0.1.1-19
         haskell-conduit-combinators              1.1.2-4              1.1.2-5
             haskell-data-serializer              0.3.2-2              0.3.2-3
                haskell-data-textual           0.3.0.2-26           0.3.0.2-27
                      haskell-fmlist                0.9-5              0.9.1-1
                      haskell-hakyll           4.10.0.0-8          4.10.0.0-10
                       haskell-hasql              1.1.1-5              1.1.1-6
                  haskell-hasql-pool              0.4.3-5              0.4.3-6
           haskell-hasql-transaction              0.5.2-5              0.5.2-6
                   haskell-hspec-wai              0.9.0-5              0.9.0-6
              haskell-hspec-wai-json              0.9.0-6              0.9.0-7
                    haskell-listlike              4.5.1-9             4.5.1-10
            haskell-mono-traversable            1.0.6.0-2            1.0.7.0-1
                  haskell-network-ip           0.3.0.2-10           0.3.0.2-11
                     haskell-parsers             0.12.7-5             0.12.8-1
           haskell-postgresql-binary            0.12.1-38            0.12.1-39
              haskell-process-extras              0.7.2-7              0.7.2-8
              haskell-servant-server              0.12-15              0.12-16
                       haskell-store           0.4.3.2-24           0.4.3.2-25
              haskell-test-framework           0.8.1.1-16            0.8.2.0-1
        haskell-test-framework-hunit           0.3.0.2-20           0.3.0.2-21
  haskell-test-framework-quickcheck2            0.3.0.4-3            0.3.0.4-4
   haskell-test-framework-smallcheck                0.2-5                0.2-6
                    haskell-trifecta           1.7.1.1-17           1.7.1.1-18
                   haskell-unixutils            1.54.1-13            1.54.1-14
              haskell-wai-app-static          3.1.6.1-114          3.1.6.1-115
                   haskell-wai-extra           3.0.21.0-2           3.0.21.0-3
                  haskell-wai-logger             2.3.0-22              2.3.1-1
                       haskell-yesod            1.4.5-139            1.4.5-140
                  haskell-yesod-auth            1.4.21-15            1.4.21-16
                  haskell-yesod-core          1.4.37.2-12          1.4.37.2-13
               haskell-yesod-default            1.2.0-215            1.2.0-216
                  haskell-yesod-form            1.4.16-37            1.4.16-38
            haskell-yesod-persistent             1.4.3-19             1.4.3-20
                haskell-yesod-static           1.5.3.1-46           1.5.3.1-47
                         hledger-api               1.4-34               1.4-35
                         hledger-web               1.4-42               1.4-43
                              hoogle            5.0.14-15            5.0.14-17
                           hubicfuse              3.0.1-1              3.0.1-2
                                hugo             0.31.1-1             0.32.1-1
                            hyperion            1.03.2-12            1.03.2-13
                               idris             1.1.1-20             1.1.1-22
                             jenkins               2.98-1               2.99-1
                               jruby           9.1.14.0-1           9.1.15.0-1
                                knot              2.6.3-1              2.6.4-1
                         kphotoalbum                5.2-2                5.2-3
                   krita-plugin-gmic              2.1.7-2              2.1.8-2
                             libindi              1.5.0-1              1.6.0-1
                      libjpeg6-turbo              1.5.2-2              1.5.3-1
                         libu2f-host              1.1.3-2              1.1.4-1
                               mixxx             2.0.0-12             2.0.0-13
                       mongodb-tools              3.6.0-1              3.6.1-1
                                mosh              1.3.2-2              1.3.2-3
                              mumble             1.2.19-7             1.2.19-8
                              murmur            1.2.19-10             1.2.19-9
                             mypaint              1.2.1-3              1.2.1-4
                            newsboat             2.10.1-2             2.10.2-1
                                ogre            1.10.10-2            1.10.11-1
                           ogre-docs            1.10.10-2            1.10.11-1
                             optipng              0.7.6-2              0.7.7-1
                              pandoc              2.0.5-6              2.0.6-1
                     pandoc-citeproc             0.12.2-3           0.12.2.3-1
                     pandoc-crossref            0.3.0.0-6            0.3.0.0-7
                            pianobar         2017.08.30-1         2017.08.30-2
              pkgbuild-introspection                  8-1                    -
                             postgis              2.4.2-1              2.4.2-2
                           postgrest           0.4.3.0-22           0.4.3.0-24
                            powerdns              4.0.5-1              4.0.5-2
                   powerdns-recursor              4.0.7-1              4.0.7-2
                        python-boto3              1.5.7-1              1.5.8-1
                   python-hypothesis             3.44.4-1             3.44.6-1
                    python-jsonpatch               1.20-1               1.21-1
                      python-pytorch              0.3.0-3              0.3.0-4
                 python-pytorch-cuda              0.3.0-3              0.3.0-4
                  python2-hypothesis             3.44.4-1             3.44.6-1
                   python2-jsonpatch               1.20-1               1.21-1
                     python2-pytorch              0.3.0-3              0.3.0-4
                python2-pytorch-cuda              0.3.0-3              0.3.0-4
                                qmc2              0.187-1              0.192-1
                           rethinkdb              2.3.6-2              2.3.6-3
                           retroarch              1.7.0-1              1.7.0-2
                            rubinius               3.86-1               3.88-1
                       rubinius-ruby               3.86-1               3.88-1
                             sdlmame              0.192-1              0.193-1
                           shorewall           5.1.10.1-1           5.1.10.2-1
                      shorewall-core           5.1.10.1-1           5.1.10.2-1
                          shorewall6           5.1.10.1-1           5.1.10.2-1
                               stack              1.6.3-6              1.6.3-7
                                sway             0.15.1-1             0.15.1-2
                      tamarin-prover             1.2.2-44             1.2.2-45
                                 tig              2.3.0-1              2.3.2-1
                             tinyssh           20161101-1           20180101-1
                             trayion              0.1.2-3                    -
                             umurmur             0.2.17-5             0.2.17-6
                            vbam-gtk            2.0.0b2-3                    -
                            vbam-sdl            2.0.0b2-3              2.0.1-1
                             vbam-wx            2.0.0b2-3              2.0.1-1
                              xdebug        2.6.0alpha1-1         2.6.0beta1-1
                                xpdf               4.00-1               4.00-2
                          youtube-dl         2017.12.23-1         2017.12.31-1
                          yubico-pam               2.24-3               2.24-4
                                zart              2.1.7-2              2.1.8-2
                                zmap              2.1.1-2              2.1.1-3
                      haskell-libxml                    -              0.1.1-1
                             kbackup                    -              1.0.1-1
                      libretro-citra                    -               5621-1
                    libretro-melonds                    -                541-2
               libretro-parallel-n64                    -               4910-3
                     libretro-ppsspp                    -              23325-1
                    libretro-redream                    -               1077-1
                       libringclient                  - 2:20171215.1.bc414d7-2
                        libsecp256k1                 - 20170927+825+g0b70241-1
          pjproject-savoirfairelinux                    -                2.6-6
                         ring-daemon                  - 2:20171215.1.bc414d7-2
                          ring-gnome                  - 3:20171215.1.bc414d7-3


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
                            linux316            3.16.51-1            3.16.52-1
                    linux316-headers            3.16.51-1            3.16.52-1
                            linux318            3.18.90-1            3.18.91-1
                    linux318-headers            3.18.90-1            3.18.91-1
                            linux414            4.14.10-2            4.14.11-1
                    linux414-headers            4.14.10-2            4.14.11-1
                      linux415 4.15.r171224.g464e1d5-1 4.15.r171231.g30a7acd-1
              linux415-headers 4.15.r171224.g464e1d5-1 4.15.r171231.g30a7acd-1
                             linux44            4.4.108-1            4.4.109-1
                     linux44-headers            4.4.108-1            4.4.109-1
                             linux49             4.9.73-1             4.9.74-1
                     linux49-headers             4.9.73-1             4.9.74-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
                          cryptsetup              2.0.0-1              2.0.0-2
                              json-c             0.12.1-1               0.13-1
                              argon2                    -           20171227-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
                           calamares            3.1.11-10             3.1.12-1
                 calamares-git 3.2.0.r4263.587c8b82a-1 3.2.0.r4279.c857568b7-1
                         kinfocenter           5.11.4-1.2             5.11.5-1
                  linux316-acpi_call             1.1.0-34             1.1.0-35
                   linux316-bbswitch               0.8-33               0.8-34
                linux316-broadcom-wl      6.30.223.271-13      6.30.223.271-14
                   linux316-catalyst     1:15.201.1151-22     1:15.201.1151-23
                linux316-ndiswrapper              1.61-13              1.61-14
                     linux316-nvidia           1:384.98-3           1:384.98-4
               linux316-nvidia-304xx          1:304.137-4          1:304.137-5
               linux316-nvidia-340xx            340.104-4            340.104-5
                   linux316-nvidiabl              0.88-23              0.88-24
      linux316-open-vm-tools-modules      2:2013.09.16-33      2:2013.09.16-34
                      linux316-r8168           8.044.02-9          8.044.02-10
                  linux316-rt3562sta        2.4.1.1_r4-13        2.4.1.1_r4-14
                        linux316-spl           0.7.5-1.51           0.7.5-1.52
                   linux316-tp_smapi              0.41-33              0.41-34
                linux316-vhba-module          20161009-13          20161009-14
   linux316-virtualbox-guest-modules              5.2.4-1              5.2.4-2
    linux316-virtualbox-host-modules              5.2.4-1              5.2.4-2
                        linux316-zfs           0.7.5-1.51           0.7.5-1.52
                        linux318-spl           0.7.5-1.90           0.7.5-1.91
                        linux318-zfs           0.7.5-1.90           0.7.5-1.91
                  linux414-acpi_call             1.1.0-10             1.1.0-11
                   linux414-bbswitch               0.8-10               0.8-11
                linux414-broadcom-wl      6.30.223.271-10      6.30.223.271-11
                   linux414-catalyst     1:15.201.1151-10     1:15.201.1151-11
                linux414-ndiswrapper              1.61-10              1.61-11
                     linux414-nvidia          1:384.98-10          1:384.98-11
               linux414-nvidia-304xx         1:304.137-10         1:304.137-11
               linux414-nvidia-340xx           340.104-10           340.104-11
                   linux414-nvidiabl              0.88-10              0.88-11
                      linux414-r8168          8.044.02-10          8.044.02-11
                  linux414-rt3562sta        2.4.1.1_r4-10        2.4.1.1_r4-11
                        linux414-spl           0.7.5-1.10           0.7.5-1.11
                   linux414-tp_smapi              0.41-10              0.41-11
                linux414-vhba-module          20161009-10          20161009-11
   linux414-virtualbox-guest-modules              5.2.4-3              5.2.4-4
    linux414-virtualbox-host-modules              5.2.4-3              5.2.4-4
                        linux414-zfs           0.7.5-1.10           0.7.5-1.11
                   linux415-bbswitch              0.8-0.7              0.8-0.8
                   linux415-catalyst    1:15.201.1151-0.7    1:15.201.1151-0.8
                     linux415-nvidia         1:384.98-0.7         1:384.98-0.8
               linux415-nvidia-304xx        1:304.137-0.7        1:304.137-0.8
               linux415-nvidia-340xx          340.104-0.7          340.104-0.8
                   linux415-nvidiabl             0.88-0.7             0.88-0.8
                linux415-vhba-module         20161009-0.7         20161009-0.8
                   linux44-acpi_call             1.1.0-75             1.1.0-76
                    linux44-bbswitch               0.8-75               0.8-76
                 linux44-broadcom-wl      6.30.223.271-45      6.30.223.271-46
                    linux44-catalyst     1:15.201.1151-75     1:15.201.1151-76
                 linux44-ndiswrapper              1.61-43              1.61-44
                      linux44-nvidia          1:384.98-10          1:384.98-11
                linux44-nvidia-304xx         1:304.137-10         1:304.137-11
                linux44-nvidia-340xx           340.104-16           340.104-17
                    linux44-nvidiabl              0.88-75              0.88-76
       linux44-open-vm-tools-modules      2:2013.09.16-75      2:2013.09.16-76
                       linux44-r8168          8.044.02-29          8.044.02-30
                   linux44-rt3562sta        2.4.1.1_r4-43        2.4.1.1_r4-44
                         linux44-spl          0.7.5-1.108          0.7.5-1.109
                    linux44-tp_smapi              0.41-75              0.41-76
                 linux44-vhba-module          20161009-43          20161009-44
    linux44-virtualbox-guest-modules              5.2.4-2              5.2.4-3
     linux44-virtualbox-host-modules              5.2.4-2              5.2.4-3
                         linux44-zfs          0.7.5-1.108          0.7.5-1.109
                   linux49-acpi_call             1.1.0-57             1.1.0-58
                    linux49-bbswitch               0.8-57               0.8-58
                 linux49-broadcom-wl      6.30.223.271-57      6.30.223.271-58
                    linux49-catalyst     1:15.201.1151-57     1:15.201.1151-58
                 linux49-ndiswrapper              1.61-55              1.61-56
                      linux49-nvidia          1:384.98-10          1:384.98-11
                linux49-nvidia-304xx         1:304.137-16         1:304.137-17
                linux49-nvidia-340xx           340.104-16           340.104-17
                    linux49-nvidiabl              0.88-57              0.88-58
                       linux49-r8168          8.044.02-37          8.044.02-38
                   linux49-rt3562sta        2.4.1.1_r4-55        2.4.1.1_r4-56
                         linux49-spl           0.7.5-1.73           0.7.5-1.74
                    linux49-tp_smapi              0.41-57              0.41-58
                 linux49-vhba-module          20161009-55          20161009-56
    linux49-virtualbox-guest-modules              5.2.4-2              5.2.4-3
     linux49-virtualbox-host-modules              5.2.4-2              5.2.4-3
                         linux49-zfs           0.7.5-1.73           0.7.5-1.74
                    xfce4-panel-gtk3             4.13.2-1             4.13.2-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
                                bind             9.11.2-2             9.11.2-3
                          bind-tools             9.11.2-2             9.11.2-3
                                bird              2.0.0-2              2.0.0-3
                           bluedevil           1:5.11.4-1           1:5.11.5-1
                              breeze             5.11.4-1             5.11.5-1
                         breeze-grub             5.11.4-1             5.11.5-1
                          breeze-gtk             5.11.4-1             5.11.5-1
                         breeze-kde4             5.11.4-1             5.11.5-1
                            discover             5.11.4-1             5.11.5-1
                             drkonqi             5.11.4-1             5.11.5-1
                              geeqie                1.3-3                1.4-1
                               hefur                0.6-2                0.6-3
                         imagemagick           7.0.7.16-1           7.0.7.19-1
                     imagemagick-doc           7.0.7.16-1           7.0.7.19-1
                        imagemagick6           6.9.9.27-1           6.9.9.31-1
                           intel-tbb      2018_20170919-1      2018_20171205-1
                   kactivitymanagerd             5.11.4-1             5.11.5-1
                       kde-cli-tools             5.11.4-1             5.11.5-1
                      kde-gtk-config             5.11.4-1             5.11.5-1
                         kdecoration             5.11.4-1             5.11.5-1
                    kdeplasma-addons             5.11.4-1             5.11.5-1
                             kgamma5             5.11.4-1             5.11.5-1
                            khotkeys             5.11.4-1             5.11.5-1
                         kinfocenter             5.11.4-1             5.11.5-1
                           kmenuedit             5.11.4-1             5.11.5-1
                          knetattach             5.11.4-2             5.11.5-1
                             kscreen             5.11.4-1             5.11.5-1
                       kscreenlocker             5.11.4-1             5.11.5-1
                         ksshaskpass             5.11.4-1             5.11.5-1
                           ksysguard             5.11.4-1             5.11.5-1
                           kuiserver             5.11.4-2             5.11.5-1
                         kwallet-pam             5.11.4-1             5.11.5-1
                kwayland-integration             5.11.4-1             5.11.5-1
                                kwin             5.11.4-2             5.11.5-1
                             kwrited             5.11.4-1             5.11.5-1
                             libgadu             1.12.2-4             1.12.2-5
                          libkscreen             5.11.4-1             5.11.5-1
                        libksysguard             5.11.4-1             5.11.5-1
                           libmagick           7.0.7.16-1           7.0.7.19-1
                          libmagick6           6.9.9.27-1           6.9.9.31-1
                      libphonenumber              8.8.5-1              8.8.8-1
                              libqxp              0.0.0-2              0.0.1-1
                         libtxc_dxtn              1.0.1-6                    -
                             libupnp             1.6.22-1             1.6.24-1
                             liferea             1.12.0-1             1.12.1-1
                               milou             5.11.4-1             5.11.5-1
                                 mpd            0.20.13-1            0.20.14-1
                    noto-fonts-emoji           20171030-1           20180102-1
                              oxygen             5.11.4-1             5.11.5-1
                         oxygen-kde4             5.11.4-1             5.11.5-1
                      plasma-desktop             5.11.4-2             5.11.5-1
                  plasma-integration             5.11.4-2             5.11.5-1
                           plasma-nm             5.11.4-1             5.11.5-1
                           plasma-pa             5.11.4-1             5.11.5-1
                          plasma-sdk             5.11.4-1             5.11.5-1
                        plasma-vault             5.11.4-1             5.11.5-1
              plasma-wayland-session             5.11.4-2             5.11.5-1
                    plasma-workspace             5.11.4-2             5.11.5-1
         plasma-workspace-wallpapers             5.11.4-1             5.11.5-1
                    polkit-kde-agent             5.11.4-1             5.11.5-1
                          powerdevil             5.11.4-1             5.11.5-1
                            protobuf              3.4.1-1            3.5.0.1-1
                          protobuf-c              1.3.0-1              1.3.0-2
                       python-nbxmpp              0.6.1-1              0.6.2-1
                     python-protobuf              3.4.1-1            3.5.0.1-1
                      python2-nbxmpp              0.6.1-1              0.6.2-1
                    python2-protobuf              3.4.1-1            3.5.0.1-1
                            qt5-base             5.10.0-1             5.10.0-2
                       qt5-webengine             5.10.0-1             5.10.0-2
             qt5-xcb-private-headers             5.10.0-1             5.10.0-2
                           quodlibet              3.9.1-1              4.0.0-1
                            sddm-kcm             5.11.4-1             5.11.5-1
                           syslog-ng             3.12.1-5             3.13.2-1
                      systemsettings             5.11.4-2             5.11.5-1
                        user-manager             5.11.4-1             5.11.5-1
              xdg-desktop-portal-kde             5.11.4-1             5.11.5-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-31           2018-01-03
-------------------------------------------------------------------------------
                 lib32-libjpeg-turbo              1.5.2-2              1.5.3-1
                   lib32-libtxc_dxtn              1.0.1-5                    -
                         lib32-wxgtk              3.0.3-2                    -
                               pcsx2              1.4.0-7              1.4.0-8
                        lib32-wxgtk2                    -            3.0.3.1-1


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

Hi, update wen’t ok but I get prompted that my kernel ain’t supported anymore… but rining I have 4.14.11-1-MANJARO and the only other installed kernel is 4.9.74-1.
So not shure why it’s complaining


#3

@Th3Z0ne: are you using Gnome? This issue should been fixed by now. Else it is a new regression. @Chrysostomus: can you double-check this?


#4

Yes gnome - and I get a notification (through the gnome notifications) that my kernel is eol and I should update - while the update was still running gnome-shell froze when I clicked “accept” and manjaro-settings started; but the process continued in the background so it went well this time.

Image of the error inside

Have never gotten that message before to be honest.

And gimp-devel stoped working as well:
gimp: error while loading shared libraries: libjson-c.so.2: cannot open shared object file: No such file or directory


#5

Here things run fine after the today’s update, including the Gimp, no problems like @Th3Z0ne has. But I use the KDE desktop, maybe that could be an indication.


#6

I can’t find the message now but I think I read @Chrysostomus solved it in Unstable, not (yet) in Testing.


#7

As for the gimp thing - in my timeshift backups there is libjson-c.so.2 but after the update there isn’t any in /usr/lib/ anymore - only libjson-c.so.3 which comes close but isn’t the needed libjson-c.so.2


#8

Gimp-devel need a rebuilt against json-c 0.13 for sure


#9

Upgraded Xfce using Terminal, haven’t trusted Pamac for some time. Habit I guess. No issues, thanks team.


#10

Same issue in unstable, gnome-shell-extension-manjaro-update always check for update without exiting…

EDIT: last update in unstable is ok , now work

EDIT2: the kernel warning still appear :no_mouth:


#11

Hello, I’ve updated my test VM on Virtualbox and now I can’t start it with the kernel 4.14.11-1, after charging the grub the guest system freezes, the CPU of the host raises to 100% and appears an error message:

Captura de pantalla_2018-01-03_16-17-27

However, when I choose the kernel 4.9.74-1 the system boots as usual.

Here is the log of the error from Virtualbox, hope this helps:
https://paste.ubuntu.com/26313450/

Cheers!! :grinning:


#12

This update went absolutely good, no problems detected on my kde so far. Thanks :slight_smile:


#13

Works for me with
Host
Kernel 4.14.10
Xfce

Guest
Kernel 4.14.11
Xfce

I will reboot now and test the new Kernel as Host.


No problems so far, :+1:


#14

@philm Could you please push the gimp-devel PKGBUILD to packages-community and the extramodule pkgbumps to packages-extra? :kissing_heart:


#15

Ok, will have to pull that from there as the current verion in testing keeps crashing my gnome-shell session; Not always but sometimes when I either accept or deny the notification the shell either death freezes or crashes back to GDM login.

Well - fair enough - switching to unstable did not bring any new packages ^^


#16

Seems we have a new regression with the latest update-notifier. @Chrysostomus. Please double-check your latest changes made to that application.

Will do the needed rebuild.

I assume you have an Intel CPU. Those are vulnerable since the Pentium age. Solution would be to get rid of it and buy an AMD CPU, which are not affected by this. We had added needed fixes for Intel CPU within this new kernel release. To disable the fix you may pass pti = off, which disables the built-in kernel protection on Intel hardware.

Will do.


#17

Is this on live system? Do you have internet connection? What is the version of the update-notifier?


#18

Yes, I have an old Intel Quad Core Q6600, launched on January 2007 (according to the Wikipedia).

Do you mean that when this patch arrive to the stable branch I will not able to start the computer? :open_mouth:

I don’t care if I have to pass the this parameter in the VB machine, but not in my PC because I need it for work.

Regards. :grinning:


#19

You can test it yourself by switching to testing branch. More info about this you can read here.


#20

Your PC should continue to operate normally. Just possibly at a reduced performance under certain workloads (according to Intel).